Bug 17874 - glibc rpm (including errata version) won't build under bash 2.04
Summary: glibc rpm (including errata version) won't build under bash 2.04
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-26 19:56 UTC by Matthew Miller
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-26 19:57:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (-p0) to change full-config-sysdirs to full_config_sysdirs (1.72 KB, patch)
2000-09-26 19:57 UTC, Matthew Miller
no flags Details | Diff

Description Matthew Miller 2000-09-26 19:56:17 UTC
There's a problem with glibc 2.1.3 which causes it to not build properly
under bash 2.04. The culprit is the "full-config-sysdirs" variable -- this
needs to be changed to "full_config_sysdirs" in the few places it occurs.
(MakeTAGS, Makeconfig, Makerules.) This problem has supposedly been fixed
in newer versions of glibc, so I doubt it affects RHL 7.0. (Haven't tested
yet.)

Comment 1 Matthew Miller 2000-09-26 19:57:48 UTC
Created attachment 3568 [details]
patch (-p0) to change full-config-sysdirs to full_config_sysdirs

Comment 2 Jakub Jelinek 2000-10-03 06:05:58 UTC
I don't think it is worth issuing errata glibc for this, the library
is buildable with the default shell in 6.x and it is fixed in 7.0
glibc.
In fact, isn't it just a warning? I remember I have fixed it in glibc
because warning annoyed me, not because it would fail to build...

Comment 3 Matthew Miller 2000-10-03 13:34:18 UTC
It actually won't build. The error is just a warning, so the compile doesn't
stop, but not everything gets built as it should. I agree that it's not worth an
erratum, but think it's worth fixing so that if there happens to be another
security problem or whatever with glibc which is significant enough for an
update, that one builds right.


Note You need to log in before you can comment on or make changes to this bug.